| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
OutputFile Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
const AVClass * | clazz
int | index
const AVOutputFormat * | format
const char * | url
OutputStream ** | streams
int | nb_streams
SyncQueue * | sq_encode
int64_t | recording_time
| desired length of the resulting file in microseconds == AV_TIME_BASE units
int64_t | start_time
| start time in microseconds == AV_TIME_BASE units
int | shortest
int | bitexact

## Detailed Description

Definition at line 741 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ bitexact

int OutputFile::bitexact

Definition at line 758 of file fftools_ffmpeg.h.

## ◆ clazz

const AVClass* OutputFile::clazz

Definition at line 742 of file fftools_ffmpeg.h.

## ◆ format

const AVOutputFormat* OutputFile::format

Definition at line 746 of file fftools_ffmpeg.h.

## ◆ index

int OutputFile::index

Definition at line 744 of file fftools_ffmpeg.h.

## ◆ nb_streams

int OutputFile::nb_streams

Definition at line 750 of file fftools_ffmpeg.h.

## ◆ recording_time

int64_t OutputFile::recording_time

desired length of the resulting file in microseconds == AV_TIME_BASE units

Definition at line 754 of file fftools_ffmpeg.h.

## ◆ shortest

int OutputFile::shortest

Definition at line 757 of file fftools_ffmpeg.h.

## ◆ sq_encode

SyncQueue* OutputFile::sq_encode

Definition at line 752 of file fftools_ffmpeg.h.

## ◆ start_time

int64_t OutputFile::start_time

start time in microseconds == AV_TIME_BASE units

Definition at line 755 of file fftools_ffmpeg.h.

## ◆ streams

OutputStream** OutputFile::streams

Definition at line 749 of file fftools_ffmpeg.h.

## ◆ url

const char* OutputFile::url

Definition at line 747 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h